aboutsummaryrefslogtreecommitdiffhomepage
path: root/test/notmuch-test
diff options
context:
space:
mode:
Diffstat (limited to 'test/notmuch-test')
-rwxr-xr-xtest/notmuch-test6
1 files changed, 6 insertions, 0 deletions
diff --git a/test/notmuch-test b/test/notmuch-test
index 9a1b3758..f2754398 100755
--- a/test/notmuch-test
+++ b/test/notmuch-test
@@ -81,6 +81,12 @@ trap 'e=$?; kill $!; exit $e' HUP INT TERM
for test in $TESTS; do
$TEST_TIMEOUT_CMD ./$test "$@" &
wait $!
+ # If the test failed without producing results, then it aborted,
+ # so we should abort, too.
+ RES=$?
+ if [[ $RES != 0 && ! -e "test-results/${test%.sh}" ]]; then
+ exit $RES
+ fi
done
trap - HUP INT TERM